For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get till status details by token information

Get till status by using token information

Required permissions: SALES_ORDER,RETURN_ORDER,REPORTING

get
/tenants/{tenantUid}/stores/{storeUid}/till/status
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/till/status
GET /v2/tenants/{tenantUid}/stores/{storeUid}/till/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

Last updated

Was this helpful?